/*
   All emon_widgets code is released under the GNU General Public License v3.
   See COPYRIGHT.txt and LICENSE.txt.

    ---------------------------------------------------------------------
    Part of the OpenEnergyMonitor project:
    http://openenergymonitor.org

    Author: Trystan Lea: trystan.lea@googlemail.com
    If you have any questions please get in touch, try the forums here:
    http://openenergymonitor.org/emon/forum
 */

function feedtable_widgetlist()
{
  var widgets = {
    "feedtable": 
    {
      "offsetx":-40,"offsety":-30,"width":80,"height":60,
      "menu":"Widgets",
      "options":["feedname","units","ploca1"],
      "optionstype":["feed","value","value"],
      "optionsname":[_Tr("Feed"),_Tr("Units"),_Tr("Dashboard")],
      "optionshint":[_Tr("Feed value"),_Tr("Units to show"),_Tr("call Dashboard")] 
    }
  }
  return widgets;
}

function feedtable_init()
{
  feedtable_draw();
}

function feedtable_draw()
{
  $('.feedtable').each(function(index)
  {
    var feed = $(this).attr("feedname");
    if (feed==undefined) feed = $(this).attr("feed");

    var units = $(this).attr("units");
    var val = assoc[feed];

    if (feed==undefined) val = 0;
    if (units==undefined) units = '';
    if (val==undefined) val = 0;

    

    if (val < 100) {
      val = val.toFixed(1);
    }
    else {
      val = val.toFixed(0);
    }
      
    var rHfeed = feed.search("rH");
    
    var predstr = "";
    
    
    var color = "rgb(50,200,50)";  //zelena
    
    

    

    // $(this).html(val+units);
    

    


    $(this).html("<span style='color:"+color+""+"'>"+val+units+"</span>");

    
    


  });
}

function feedtable_slowupdate()
{
  feedtable_draw();
}

function feedtable_fastupdate()
{
}